summaryrefslogtreecommitdiffstats
path: root/source/ap/vim
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/vim')
-rw-r--r--source/ap/vim/gvim.desktop5
-rw-r--r--source/ap/vim/slack-desc.vim10
-rw-r--r--source/ap/vim/slack-desc.vim-gvim12
-rwxr-xr-xsource/ap/vim/vim-gvim.SlackBuild42
-rwxr-xr-xsource/ap/vim/vim.SlackBuild43
-rw-r--r--source/ap/vim/vim.vimrc.diff12
6 files changed, 75 insertions, 49 deletions
diff --git a/source/ap/vim/gvim.desktop b/source/ap/vim/gvim.desktop
index 520c72e61..60a71d15f 100644
--- a/source/ap/vim/gvim.desktop
+++ b/source/ap/vim/gvim.desktop
@@ -1,5 +1,4 @@
[Desktop Entry]
-Encoding=UTF-8
Name=Vi IMproved
Name[af]=Vi Verbeterde
Name[ar]=في.أي المحسن
@@ -112,9 +111,9 @@ GenericName[zh_TW]=文字編輯器
GenericName[zu]=Umlungisi wombhalo
MimeType=text/english;text/plain;text/x-makefile;text/x-c++hdr;text/x-c++src;text/x-chdr;text/x-csrc;text/x-java;text/x-moc;text/x-pascal;text/x-tcl;text/x-tex;application/x-shellscript;text/x-c;text/x-c++;
Exec=gvim -f %f
-Icon=gvim.png
+Icon=gvim
Type=Application
Terminal=false
X-KDE-StartupNotify=true
X-KDE-AuthorizeAction=shell_access
-Categories=TextEditor;
+Categories=Utility;TextEditor;
diff --git a/source/ap/vim/slack-desc.vim b/source/ap/vim/slack-desc.vim
index 04b1d5eb4..114fd7e1d 100644
--- a/source/ap/vim/slack-desc.vim
+++ b/source/ap/vim/slack-desc.vim
@@ -1,15 +1,15 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
vim: vim (Vi IMproved)
vim:
-vim: Vim is an almost compatible version of the UNIX editor vi. Many new
-vim: features have been added: multi level undo, command line history,
+vim: Vim is an almost compatible version of the UNIX editor vi. Many new
+vim: features have been added: multi level undo, command line history,
vim: filename completion, block operations, and more.
vim:
vim: Vim's development is led by Bram Moolenaar.
diff --git a/source/ap/vim/slack-desc.vim-gvim b/source/ap/vim/slack-desc.vim-gvim
index 27efae73c..cbdfa03d1 100644
--- a/source/ap/vim/slack-desc.vim-gvim
+++ b/source/ap/vim/slack-desc.vim-gvim
@@ -1,15 +1,15 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-vim-gvim: vim-gvim (gvim, the X/GTK2 enabled version of vim)
+vim-gvim: vim-gvim (gvim, the X/GTK3 enabled version of vim)
vim-gvim:
-vim-gvim: Gvim is a graphical version of vim. Vim is an almost compatible
-vim-gvim: version of the UNIX editor vi. Many new features have been added,
+vim-gvim: Gvim is a graphical version of vim. Vim is an almost compatible
+vim-gvim: version of the UNIX editor vi. Many new features have been added,
vim-gvim: such as multi level undo, command line history, filename completion,
vim-gvim: block operations, and more.
vim-gvim:
diff --git a/source/ap/vim/vim-gvim.SlackBuild b/source/ap/vim/vim-gvim.SlackBuild
index 0af5aabec..0f8ff3846 100755
--- a/source/ap/vim/vim-gvim.SlackBuild
+++ b/source/ap/vim/vim-gvim.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2013, 2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2013, 2016, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,15 @@
# This package must be build right after the main vim package, and the
# generated vim package must still be in $TMP.
-VIMBRANCH=7.4
-VERSION=$(echo vim-${VIMBRANCH}*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
+# To prevent a collision with a vim.SlackBuild running at the same time (since
+# we'll try to build vim too, if it isn't available), we REQUIRE_GLOBAL_LOCK for
+# this package when used with make_world.sh.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=vim-gvim
+VIMBRANCH=8.1
+VERSION=$(echo vim-${VIMBRANCH}*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -37,6 +44,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
PYVER=$(python -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d.)
@@ -50,7 +65,6 @@ else
fi
export SLKLDFLAGS="-L/usr/lib${LIBDIRSUFFIX}"
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-vim-gvim
@@ -59,7 +73,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf vim-$VERSION
-tar xvf $CWD/vim-$VERSION.tar.xz || exit 1
+tar xvf $CWD/vim-$VERSION.tar.?z || exit 1
config_vim() {
CFLAGS="$SLKCFLAGS" LDFLAGS="$SLKLDFLAGS" \
@@ -68,13 +82,15 @@ CFLAGS="$SLKCFLAGS" LDFLAGS="$SLKLDFLAGS" \
--prefix=/usr \
--enable-pythoninterp \
--with-python-config-dir=/usr/lib${LIBDIRSUFFIX}/python$PYVER/config \
+ --enable-python3interp \
+ --with-python3-config-dir=$(python3-config --configdir) \
--enable-perlinterp \
--disable-tclinterp \
--enable-multibyte \
--enable-cscope \
--with-features=huge \
--with-compiledby="<volkerdi@slackware.com>" \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# I had been adding this, but got 100% complaints and 0% kudos:
# --enable-rubyinterp
@@ -90,7 +106,7 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-config_vim --with-x --enable-gui=gtk2
+config_vim --with-x --enable-gui=gtk3 || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
@@ -151,15 +167,15 @@ rm -f vimtutor xxd
# Now we get rid of everything that's not in the other vim package.
# Let's assume (dangerous ;-) that we just built that in $TMP
# and use it as a reference:
-if ! /bin/ls $TMP/vim-${VERSION}*txz 1> /dev/null 2> /dev/null ; then
- echo "FATAL: VIM package needed in $TMP"
- exit 1
+if ! /bin/ls $TMP/vim-${VERSION}-${ARCH}-${BUILD}.txz 1> /dev/null 2> /dev/null ; then
+ # We assumed wrong. So build it:
+ $CWD/vim.SlackBuild
fi
mkdir $PKG/vim
( cd $PKG
( cd vim
- echo "Extracting reference package $TMP/vim-${VERSION}*txz:"
- explodepkg $TMP/vim-${VERSION}*txz 1> /dev/null
+ echo "Extracting reference package $TMP/vim-${VERSION}-${ARCH}-${BUILD}.txz:"
+ explodepkg $TMP/vim-${VERSION}-${ARCH}-${BUILD}.txz 1> /dev/null
sh install/doinst.sh
)
)
diff --git a/source/ap/vim/vim.SlackBuild b/source/ap/vim/vim.SlackBuild
index 5f5e79b33..379ac42f8 100755
--- a/source/ap/vim/vim.SlackBuild
+++ b/source/ap/vim/vim.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2013, 2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2013, 2016, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,21 +20,22 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VIMBRANCH=7.4
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=vim
+VIMBRANCH=8.1
CTAGSVER=5.8
BUILD=${BUILD:-1}
-CWD=$(pwd)
-
-if [ -r vim-${VIMBRANCH}*.tar.xz ]; then # if there's a source archive already, use the version number from it:
- VERSION=$(echo vim-${VIMBRANCH}*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
+if [ -r vim-${VIMBRANCH}*.tar.?z ]; then # if there's a source archive already, use the version number from it:
+ VERSION=$(echo vim-${VIMBRANCH}*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
else # need to fetch the latest source archive for this branch:
- VERSION="$(echo $(basename $(wget -q -O - https://github.com/vim/vim/releases | grep v${VIMBRANCH} | head -n 1 | cut -f 2 -d \" )) | cut -b2- )"
+ VERSION="$(echo $(basename $(wget -q -O - https://github.com/vim/vim/releases | grep href.*v${VIMBRANCH} | head -n 1 | cut -f 2 -d \" )) | cut -b2- )"
( lftpget https://github.com/vim/vim/archive/v${VERSION}.tar.gz
gzip -d v${VERSION}.tar.gz
mv v${VERSION}.tar vim-${VERSION}.tar
- xz -9 -v vim-${VERSION}.tar
- if [ ! -r vim-${VERSION}.tar.xz ]; then
+ plzip -9 -n 6 vim-${VERSION}.tar
+ if [ ! -r vim-${VERSION}.tar.lz ]; then
echo "ERROR: Something went wrong trying to fetch https://github.com/vim/vim/archive/v${VERSION}.tar.gz"
exit 1
fi
@@ -51,6 +52,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
PYVER=$(python -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d.)
@@ -74,8 +83,8 @@ mkdir -p $TMP $PKG
# but now we have to bundle it in
cd $TMP
rm -rf ctags-$CTAGSVER
-tar xvf $CWD/ctags-$CTAGSVER.tar.xz || exit 1
-cd ctags-$CTAGSVER
+tar xvf $CWD/ctags-$CTAGSVER.tar.?z || exit 1
+cd ctags-$CTAGSVER || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -100,7 +109,7 @@ chmod 644 $PKG/usr/doc/ctags-$CTAGSVER/*
cd $TMP
rm -rf vim-${VERSION}
-tar xvf $CWD/vim-${VERSION}.tar.xz || exit 1
+tar xvf $CWD/vim-${VERSION}.tar.?z || exit 1
config_vim() {
CFLAGS="$SLKCFLAGS" \
@@ -109,13 +118,15 @@ CFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--enable-pythoninterp \
--with-python-config-dir=/usr/lib${LIBDIRSUFFIX}/python$PYVER/config \
+ --enable-python3interp \
+ --with-python3-config-dir=$(python3-config --configdir) \
--enable-perlinterp \
--disable-tclinterp \
--enable-multibyte \
--enable-cscope \
--with-features=huge \
--with-compiledby="<volkerdi@slackware.com>" \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# I had been adding this, but got 100% complaints and 0% kudos:
# --enable-rubyinterp
@@ -130,7 +141,7 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-config_vim --without-x --disable-gui
+config_vim --without-x --disable-gui || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
@@ -183,7 +194,7 @@ find $PKG/usr/doc/vim-$VERSION -type f | xargs chmod 644
mkdir -p $PKG/install
cat $CWD/slack-desc.vim > $PKG/install/slack-desc
cat << EOF > $PKG/install/doinst.sh
-#!/bin/sh
+#!/bin/bash
config() {
NEW="\$1"
OLD="\$(dirname \$NEW)/\$(basename \$NEW .new)"
diff --git a/source/ap/vim/vim.vimrc.diff b/source/ap/vim/vim.vimrc.diff
index c94104a5f..2c26bb8e7 100644
--- a/source/ap/vim/vim.vimrc.diff
+++ b/source/ap/vim/vim.vimrc.diff
@@ -1,12 +1,12 @@
---- ./runtime/vimrc.new.orig 2008-07-02 15:11:53.000000000 -0500
-+++ ./runtime/vimrc.new 2009-05-28 13:19:24.000000000 -0500
-@@ -87,6 +87,9 @@
+--- ./runtime/vimrc.new.orig 2016-08-10 16:02:45.000000000 -0500
++++ ./runtime/vimrc.new 2016-08-11 11:46:09.385806714 -0500
+@@ -49,6 +49,9 @@
endif " has("autocmd")
+" Make vim work with the 'crontab -e' command
+set backupskip+=/var/spool/cron/*
+
- " Convenient command to see the difference between the current buffer and the
- " file it was loaded from, thus the changes you made.
- " Only define it when not defined already.
+ " Add optional packages.
+ "
+ " The matchit plugin makes the % command work better, but it is not backwards